/**
 * ContextControlOverriding.java
 *
 * File generated from the medication::ContextControlOverriding uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ContextControlOverriding.
 *
 * 
 */

@XmlType(name = "ContextControlOverriding")
@XmlEnum
@XmlRootElement(name = "ContextControlOverriding")
public enum ContextControlOverriding {
	@XmlEnumValue("ON")
	ON("ON"),
	@XmlEnumValue("OP")
	OP("OP");
	
	private final String value;

    ContextControlOverriding(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ContextControlOverriding fromValue(String v) {
        for (ContextControlOverriding c: ContextControlOverriding.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}